.contenedor {
  position: relative;
  float: left;
  margin-bottom: 40px;
}
 @keyframes anim{
  0% {opacity: 1;}  
   50% {opacity: 0;}  
  100% {opacity: 1;} 

}
.contenedor img {
  position: absolute;
  left: 0;
}

 img.top {
   animation-name: anim;
  animation-duration: 8s;
  animation-iteration-count: infinite;
}